#
# switches:
#	define the ones you want in the CFLAGS definition...
#
#
DEBUGS= -v

CFLAGS= $(DEBUGS) -ml -DMSDOS -I. -I..\inc -g200

# Assembler flags
AFLAGS=-mx -t

# Define PC-specific include file

.c.obj:
        bcc -c $(CFLAGS) $*.c
        tlib ..\lib\rtos -+$*

.asm.obj:
        tasm $(AFLAGS) $*;
        tlib ..\lib\rtos -+$*


objs =rtos.obj net.obj bqueue.obj graph.obj gifsave.obj strlst.obj sio.obj \
        kconio.obj cpujmp.obj filename.obj inifile.obj emath.obj parse.obj

..\lib\rtos.lib: $(objs)
        echo done

rtos.obj    : rtos.c ..\inc\rtos.h
net.obj     : net.c  ..\inc\rtos.h ..\inc\net.h
bqueue.obj  : bqueue.c ..\inc\rtos.h
graph.obj   : graph.c ..\inc\rtos.h ..\inc\graph.h ..\inc\net.h
gifsave.obj : gifsave.c ..\inc\rtos.h ..\inc\graph.h ..\inc\net.h
strlst.obj  : strlst.c ..\inc\rtos.h ..\inc\strlst.h
sio.obj     : sio.c ..\inc\rtos.h ..\inc\sio.h
kconio.obj  : kconio.c ..\inc\rtos.h ..\inc\kconio.h
cpujmp.obj  : cpujmp.c
filename.obj: filename.c ..\inc\rtos.h ..\inc\filename.h
inifile.obj : inifile.c ..\inc\rtos.h ..\inc\inifile.h
emath.obj   : emath.c ..\inc\emath.h
parse.obj   : parse.c ..\inc\parse.h
